
QGIS Application - Bug report #7438

No warning when 10 digit max on integers is over done

2013-03-25 08:46 AM - magerlin -

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:1.8.0 Regression?: No

Operating System: Win 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 16399

Description

I've been trying to calculate an area into an integer not beeing aware of the 10 digit limit on integers in a shape file.

The field calculator returned a negative area which made me aware of something beeing wrong.

I think some kind of warning should be given - if the number had been positive I might not have noticed the error.

History

#1 - 2013-03-25 09:20 AM - Giovanni Manghi

- Status changed from Open to Feedback

duplicate of #4955 ?

#2 - 2014-06-23 03:03 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed
